MAC编译OpenJDK8(含202-242)的Xcode版本问题

102 篇文章 1 订阅

本文有点杂,就不分开了。这东西除了吾有兴趣,其他人都不会关心。

  • 编译252的变化

  252开始,编译发生了变化。用现在的新办法编译会出错。具体错误及解决办法参考:

全网首发:Undefined symbols for architecture x86_64: “std::__1::locale::use_facet(std::__1::locale::id&)_柳鲲鹏-CSDN博客

  • MAC OS版本不影响

  那么,我们应该使用哪个版本的MAC编译OpenJDK8呢? 吾搜索了一下Oracle官方文档:

https://docs.oracle.com/javase/8/docs/technotes/guides/install/mac_jdk.html

  其中明确说明:Any Intel-based computer running OS X 10.8 (Mountain Lion) or later。也就是说OS X 10.8之后都可以。

  • 新xcode版本编译的jdk报错

  关键是xcode问题。使用新的xcode编译,会报以下错误:

JDK/JAVA Exception NSWindow drag regions should only be invalidated on the Main Thread_柳鲲鹏-CSDN博客

  • 哪些xcode合适?

经过测试:

8.2.1:OK

9.2:OK

9.4.1:OK。这是最后一个可以避免上述问题的版本。

10:崩溃。

  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

柳鲲鹏

能给阁下一点帮助,非常荣幸

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值